Subject: [homenet] New version of Simple Homenet Naming Architecture

From: Ted Lemon <[email-masked]>
Date: Thu, 6 Jul 2017 11:28:19 -0400

I issued a new version of the simple homenet naming architecture document: https://tools.ietf.org/html/draft-tldm-simple-homenet-naming-01 <https://tools.ietf.org/html/draft-tldm-simple-homenet-naming-01>

This ties in with a series of documents Stuart and I published as possible dnssd work:

https://tools.ietf.org/html/draft-sctl-service-registration-00 <https://tools.ietf.org/html/draft-sctl-service-registration-00>
https://tools.ietf.org/html/draft-sctl-discovery-broker-00 <https://tools.ietf.org/html/draft-sctl-discovery-broker-00>
https://tools.ietf.org/html/draft-sctl-dnssd-mdns-relay-00 <https://tools.ietf.org/html/draft-sctl-dnssd-mdns-relay-00>

These all tie in to the homenet naming architecture—the work was motivated on my part by a desire to come up with a solution that gets us our simple homenet router but allows a fancier one to provide better service on a network where most homenet routers are simple with respect to naming.

The diffs to the architecture document are pretty small, and the document is an easy read.   The first two documents listed above are also quick reads.   The mdns-relay document is a bit longer, because I crammed a bunch of ops stuff into it, which may or may not belong.

I'd like to discuss these in Prague, if the wg is willing.